glib-sharp 2.12.0.0 This function is thread safe. System.Object Idle handlers for GLib-based main-loops GLib provides an implementation of a "main loop" (an event-based main loop that dispatches requests). The Idle handler class is used to register a routine to be called when the main loop is idle.
- Method
  2.12.0.0
  System.UInt32 `` The delegate method that will be invoked. Installs an idle handler for the main loop. The handler code assigned to this idle handler.

  This function installs the as a handler to be invoked when the GLib mainloop is idle. If the handler returns the handler is kept for another round of Idle execution, if is returned, the handler is removed.

  This method can be invoked from a different thread than the one running the Gtk main loop. The delegate will be invoked within the context of the Gtk main loop.

  The thread-safety of this routine can be used to queue work by a thread to be performed in the context of the main Gtk thread. Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details.

- Method
  2.12.0.0
  System.Boolean `` an to remove. Removes an Idle handler from the Main Loop. The function will return true (a ) if the delegate was found and removed .